aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Bruhin <git@the-compiler.org>2015-01-27 08:03:50 +0100
committerFlorian Bruhin <git@the-compiler.org>2015-01-27 08:03:50 +0100
commit6a567b353488e675f7aef7190713c57258e19a14 (patch)
treef6557907955484891431b076cb3a7cb516c4f9ca
parenta2bff8aaf0248bc80187dafb8e49f1ce73a8c6ce (diff)
downloadqt-debug-pkgbuild-6a567b353488e675f7aef7190713c57258e19a14.tar.gz
qt-debug-pkgbuild-6a567b353488e675f7aef7190713c57258e19a14.zip
Add a build.sh
-rwxr-xr-xbuild.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..dc744c0
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -e
+dir="$PWD"
+outdir=/srv/http/qutebrowser/qt-debug
+
+export DEBUG_CFLAGS='-ggdb3 -fvar-tracking-assignments -Og'
+export DEBUG_CXXFLAGS='-ggdb3 -fvar-tracking-assignments -Og'
+export PKGEXT='.pkg.tar.xz'
+
+cd "$dir/qt5"
+rm *.pkg.tar* || true
+rm -r src/python2-path || true
+makepkg -si
+cp *.pkg.tar.xz "$outdir"
+
+cd "$dir/pyqt5"
+rm *.pkg.tar* || true
+makepkg -si
+cp *.pkg.tar.xz "$outdir"
+
+repo-add "$outdir/repo.db.tar.gz" "$outdir"/*.pkg.tar.xz
+
+cd "$dir"